package com.mortals.xhx.module.attendance.model;

import java.util.List;
/**
 * 请假记录信息查询对象
 *
 * @author zxfei
 * @date 2023-04-14
 */
public class AttendanceLeaveRecordQuery extends AttendanceLeaveRecordEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 请假人id */
    private Long leavePersonIdStart;

    /** 结束 请假人id */
    private Long leavePersonIdEnd;

    /** 增加 请假人id */
    private Long leavePersonIdIncrement;

    /** 请假人id列表 */
    private List <Long> leavePersonIdList;

    /** 请假人id排除列表 */
    private List <Long> leavePersonIdNotList;

    /** 请假人 */
    private List<String> leavePersonList;

    /** 请假人排除列表 */
    private List <String> leavePersonNotList;
    /** 开始 所属部门id */
    private Long deptIdStart;

    /** 结束 所属部门id */
    private Long deptIdEnd;

    /** 增加 所属部门id */
    private Long deptIdIncrement;

    /** 所属部门id列表 */
    private List <Long> deptIdList;

    /** 所属部门id排除列表 */
    private List <Long> deptIdNotList;

    /** 所属部门 */
    private List<String> deptNameList;

    /** 所属部门排除列表 */
    private List <String> deptNameNotList;
    /** 电话号码 */
    private List<String> phoneNumberList;

    /** 电话号码排除列表 */
    private List <String> phoneNumberNotList;
    /** 开始 请假类型(1.事假,2.调休,3.病假,4.年假,5.产假,6.陪产假,7.婚假,8.例假,9.哺乳假,10.丧假,11.回单位,12.因公请假,13.外出勘验,14.值班补班,15.体检,16.隔离,17.因公外出,18.公休,19.育儿假,20.调回单位,21.探亲假) */
    private Integer leaveTypeStart;

    /** 结束 请假类型(1.事假,2.调休,3.病假,4.年假,5.产假,6.陪产假,7.婚假,8.例假,9.哺乳假,10.丧假,11.回单位,12.因公请假,13.外出勘验,14.值班补班,15.体检,16.隔离,17.因公外出,18.公休,19.育儿假,20.调回单位,21.探亲假) */
    private Integer leaveTypeEnd;

    /** 增加 请假类型(1.事假,2.调休,3.病假,4.年假,5.产假,6.陪产假,7.婚假,8.例假,9.哺乳假,10.丧假,11.回单位,12.因公请假,13.外出勘验,14.值班补班,15.体检,16.隔离,17.因公外出,18.公休,19.育儿假,20.调回单位,21.探亲假) */
    private Integer leaveTypeIncrement;

    /** 请假类型(1.事假,2.调休,3.病假,4.年假,5.产假,6.陪产假,7.婚假,8.例假,9.哺乳假,10.丧假,11.回单位,12.因公请假,13.外出勘验,14.值班补班,15.体检,16.隔离,17.因公外出,18.公休,19.育儿假,20.调回单位,21.探亲假)列表 */
    private List <Integer> leaveTypeList;

    /** 请假类型(1.事假,2.调休,3.病假,4.年假,5.产假,6.陪产假,7.婚假,8.例假,9.哺乳假,10.丧假,11.回单位,12.因公请假,13.外出勘验,14.值班补班,15.体检,16.隔离,17.因公外出,18.公休,19.育儿假,20.调回单位,21.探亲假)排除列表 */
    private List <Integer> leaveTypeNotList;

    /** 开始 开始时间 */
    private String startTimeStart;

    /** 结束 开始时间 */
    private String startTimeEnd;

    /** 开始 结束时间 */
    private String endTimeStart;

    /** 结束 结束时间 */
    private String endTimeEnd;

    /** 开始 时长,单位秒 */
    private Integer durationStart;

    /** 结束 时长,单位秒 */
    private Integer durationEnd;

    /** 增加 时长,单位秒 */
    private Integer durationIncrement;

    /** 时长,单位秒列表 */
    private List <Integer> durationList;

    /** 时长,单位秒排除列表 */
    private List <Integer> durationNotList;

    /** 请假事由 */
    private List<String> reasonList;

    /** 请假事由排除列表 */
    private List <String> reasonNotList;
    /** 开始 审批负责人Id */
    private Long approverIdStart;

    /** 结束 审批负责人Id */
    private Long approverIdEnd;

    /** 增加 审批负责人Id */
    private Long approverIdIncrement;

    /** 审批负责人Id列表 */
    private List <Long> approverIdList;

    /** 审批负责人Id排除列表 */
    private List <Long> approverIdNotList;

    /** 审批负责人 */
    private List<String> approverList;

    /** 审批负责人排除列表 */
    private List <String> approverNotList;
    /** 附件 */
    private List<String> attachmentList;

    /** 附件排除列表 */
    private List <String> attachmentNotList;
    /** 附件路径 */
    private List<String> attachmentPathList;

    /** 附件路径排除列表 */
    private List <String> attachmentPathNotList;
    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<AttendanceLeaveRecordQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<AttendanceLeaveRecordQuery> andConditionList;

    public AttendanceLeaveRecordQuery(){}

    /**
     * 获取 开始 序号，主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 序号，主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 序号，主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idNotList
     */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idNotList
     */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
     * 获取 开始 请假人id
     * @return leavePersonIdStart
     */
    public Long getLeavePersonIdStart(){
        return this.leavePersonIdStart;
    }

    /**
     * 设置 开始 请假人id
     * @param leavePersonIdStart
     */
    public void setLeavePersonIdStart(Long leavePersonIdStart){
        this.leavePersonIdStart = leavePersonIdStart;
    }

    /**
     * 获取 结束 请假人id
     * @return $leavePersonIdEnd
     */
    public Long getLeavePersonIdEnd(){
        return this.leavePersonIdEnd;
    }

    /**
     * 设置 结束 请假人id
     * @param leavePersonIdEnd
     */
    public void setLeavePersonIdEnd(Long leavePersonIdEnd){
        this.leavePersonIdEnd = leavePersonIdEnd;
    }

    /**
     * 获取 增加 请假人id
     * @return leavePersonIdIncrement
     */
    public Long getLeavePersonIdIncrement(){
        return this.leavePersonIdIncrement;
    }

    /**
     * 设置 增加 请假人id
     * @param leavePersonIdIncrement
     */
    public void setLeavePersonIdIncrement(Long leavePersonIdIncrement){
        this.leavePersonIdIncrement = leavePersonIdIncrement;
    }

    /**
     * 获取 请假人id
     * @return leavePersonIdList
     */
    public List<Long> getLeavePersonIdList(){
        return this.leavePersonIdList;
    }

    /**
     * 设置 请假人id
     * @param leavePersonIdList
     */
    public void setLeavePersonIdList(List<Long> leavePersonIdList){
        this.leavePersonIdList = leavePersonIdList;
    }

    /**
     * 获取 请假人id
     * @return leavePersonIdNotList
     */
    public List<Long> getLeavePersonIdNotList(){
        return this.leavePersonIdNotList;
    }

    /**
     * 设置 请假人id
     * @param leavePersonIdNotList
     */
    public void setLeavePersonIdNotList(List<Long> leavePersonIdNotList){
        this.leavePersonIdNotList = leavePersonIdNotList;
    }


    /**
     * 获取 请假人
     * @return leavePersonList
     */
    public List<String> getLeavePersonList(){
        return this.leavePersonList;
    }

    /**
     * 设置 请假人
     * @param leavePersonList
     */
    public void setLeavePersonList(List<String> leavePersonList){
        this.leavePersonList = leavePersonList;
    }

    /**
     * 获取 请假人
     * @return leavePersonNotList
     */
    public List<String> getLeavePersonNotList(){
        return this.leavePersonNotList;
    }

    /**
     * 设置 请假人
     * @param leavePersonNotList
     */
    public void setLeavePersonNotList(List<String> leavePersonNotList){
        this.leavePersonNotList = leavePersonNotList;
    }

    /**
     * 获取 开始 所属部门id
     * @return deptIdStart
     */
    public Long getDeptIdStart(){
        return this.deptIdStart;
    }

    /**
     * 设置 开始 所属部门id
     * @param deptIdStart
     */
    public void setDeptIdStart(Long deptIdStart){
        this.deptIdStart = deptIdStart;
    }

    /**
     * 获取 结束 所属部门id
     * @return $deptIdEnd
     */
    public Long getDeptIdEnd(){
        return this.deptIdEnd;
    }

    /**
     * 设置 结束 所属部门id
     * @param deptIdEnd
     */
    public void setDeptIdEnd(Long deptIdEnd){
        this.deptIdEnd = deptIdEnd;
    }

    /**
     * 获取 增加 所属部门id
     * @return deptIdIncrement
     */
    public Long getDeptIdIncrement(){
        return this.deptIdIncrement;
    }

    /**
     * 设置 增加 所属部门id
     * @param deptIdIncrement
     */
    public void setDeptIdIncrement(Long deptIdIncrement){
        this.deptIdIncrement = deptIdIncrement;
    }

    /**
     * 获取 所属部门id
     * @return deptIdList
     */
    public List<Long> getDeptIdList(){
        return this.deptIdList;
    }

    /**
     * 设置 所属部门id
     * @param deptIdList
     */
    public void setDeptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
    }

    /**
     * 获取 所属部门id
     * @return deptIdNotList
     */
    public List<Long> getDeptIdNotList(){
        return this.deptIdNotList;
    }

    /**
     * 设置 所属部门id
     * @param deptIdNotList
     */
    public void setDeptIdNotList(List<Long> deptIdNotList){
        this.deptIdNotList = deptIdNotList;
    }


    /**
     * 获取 所属部门
     * @return deptNameList
     */
    public List<String> getDeptNameList(){
        return this.deptNameList;
    }

    /**
     * 设置 所属部门
     * @param deptNameList
     */
    public void setDeptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
    }

    /**
     * 获取 所属部门
     * @return deptNameNotList
     */
    public List<String> getDeptNameNotList(){
        return this.deptNameNotList;
    }

    /**
     * 设置 所属部门
     * @param deptNameNotList
     */
    public void setDeptNameNotList(List<String> deptNameNotList){
        this.deptNameNotList = deptNameNotList;
    }

    /**
     * 获取 电话号码
     * @return phoneNumberList
     */
    public List<String> getPhoneNumberList(){
        return this.phoneNumberList;
    }

    /**
     * 设置 电话号码
     * @param phoneNumberList
     */
    public void setPhoneNumberList(List<String> phoneNumberList){
        this.phoneNumberList = phoneNumberList;
    }

    /**
     * 获取 电话号码
     * @return phoneNumberNotList
     */
    public List<String> getPhoneNumberNotList(){
        return this.phoneNumberNotList;
    }

    /**
     * 设置 电话号码
     * @param phoneNumberNotList
     */
    public void setPhoneNumberNotList(List<String> phoneNumberNotList){
        this.phoneNumberNotList = phoneNumberNotList;
    }

    /**
     * 获取 开始 请假类型(1.事假,2.调休,3.病假,4.年假,5.产假,6.陪产假,7.婚假,8.例假,9.哺乳假,10.丧假,11.回单位,12.因公请假,13.外出勘验,14.值班补班,15.体检,16.隔离,17.因公外出,18.公休,19.育儿假,20.调回单位,21.探亲假)
     * @return leaveTypeStart
     */
    public Integer getLeaveTypeStart(){
        return this.leaveTypeStart;
    }

    /**
     * 设置 开始 请假类型(1.事假,2.调休,3.病假,4.年假,5.产假,6.陪产假,7.婚假,8.例假,9.哺乳假,10.丧假,11.回单位,12.因公请假,13.外出勘验,14.值班补班,15.体检,16.隔离,17.因公外出,18.公休,19.育儿假,20.调回单位,21.探亲假)
     * @param leaveTypeStart
     */
    public void setLeaveTypeStart(Integer leaveTypeStart){
        this.leaveTypeStart = leaveTypeStart;
    }

    /**
     * 获取 结束 请假类型(1.事假,2.调休,3.病假,4.年假,5.产假,6.陪产假,7.婚假,8.例假,9.哺乳假,10.丧假,11.回单位,12.因公请假,13.外出勘验,14.值班补班,15.体检,16.隔离,17.因公外出,18.公休,19.育儿假,20.调回单位,21.探亲假)
     * @return $leaveTypeEnd
     */
    public Integer getLeaveTypeEnd(){
        return this.leaveTypeEnd;
    }

    /**
     * 设置 结束 请假类型(1.事假,2.调休,3.病假,4.年假,5.产假,6.陪产假,7.婚假,8.例假,9.哺乳假,10.丧假,11.回单位,12.因公请假,13.外出勘验,14.值班补班,15.体检,16.隔离,17.因公外出,18.公休,19.育儿假,20.调回单位,21.探亲假)
     * @param leaveTypeEnd
     */
    public void setLeaveTypeEnd(Integer leaveTypeEnd){
        this.leaveTypeEnd = leaveTypeEnd;
    }

    /**
     * 获取 增加 请假类型(1.事假,2.调休,3.病假,4.年假,5.产假,6.陪产假,7.婚假,8.例假,9.哺乳假,10.丧假,11.回单位,12.因公请假,13.外出勘验,14.值班补班,15.体检,16.隔离,17.因公外出,18.公休,19.育儿假,20.调回单位,21.探亲假)
     * @return leaveTypeIncrement
     */
    public Integer getLeaveTypeIncrement(){
        return this.leaveTypeIncrement;
    }

    /**
     * 设置 增加 请假类型(1.事假,2.调休,3.病假,4.年假,5.产假,6.陪产假,7.婚假,8.例假,9.哺乳假,10.丧假,11.回单位,12.因公请假,13.外出勘验,14.值班补班,15.体检,16.隔离,17.因公外出,18.公休,19.育儿假,20.调回单位,21.探亲假)
     * @param leaveTypeIncrement
     */
    public void setLeaveTypeIncrement(Integer leaveTypeIncrement){
        this.leaveTypeIncrement = leaveTypeIncrement;
    }

    /**
     * 获取 请假类型(1.事假,2.调休,3.病假,4.年假,5.产假,6.陪产假,7.婚假,8.例假,9.哺乳假,10.丧假,11.回单位,12.因公请假,13.外出勘验,14.值班补班,15.体检,16.隔离,17.因公外出,18.公休,19.育儿假,20.调回单位,21.探亲假)
     * @return leaveTypeList
     */
    public List<Integer> getLeaveTypeList(){
        return this.leaveTypeList;
    }

    /**
     * 设置 请假类型(1.事假,2.调休,3.病假,4.年假,5.产假,6.陪产假,7.婚假,8.例假,9.哺乳假,10.丧假,11.回单位,12.因公请假,13.外出勘验,14.值班补班,15.体检,16.隔离,17.因公外出,18.公休,19.育儿假,20.调回单位,21.探亲假)
     * @param leaveTypeList
     */
    public void setLeaveTypeList(List<Integer> leaveTypeList){
        this.leaveTypeList = leaveTypeList;
    }

    /**
     * 获取 请假类型(1.事假,2.调休,3.病假,4.年假,5.产假,6.陪产假,7.婚假,8.例假,9.哺乳假,10.丧假,11.回单位,12.因公请假,13.外出勘验,14.值班补班,15.体检,16.隔离,17.因公外出,18.公休,19.育儿假,20.调回单位,21.探亲假)
     * @return leaveTypeNotList
     */
    public List<Integer> getLeaveTypeNotList(){
        return this.leaveTypeNotList;
    }

    /**
     * 设置 请假类型(1.事假,2.调休,3.病假,4.年假,5.产假,6.陪产假,7.婚假,8.例假,9.哺乳假,10.丧假,11.回单位,12.因公请假,13.外出勘验,14.值班补班,15.体检,16.隔离,17.因公外出,18.公休,19.育儿假,20.调回单位,21.探亲假)
     * @param leaveTypeNotList
     */
    public void setLeaveTypeNotList(List<Integer> leaveTypeNotList){
        this.leaveTypeNotList = leaveTypeNotList;
    }


    /**
     * 获取 开始 开始时间
     * @return startTimeStart
     */
    public String getStartTimeStart(){
        return this.startTimeStart;
    }

    /**
     * 设置 开始 开始时间
     * @param startTimeStart
     */
    public void setStartTimeStart(String startTimeStart){
        this.startTimeStart = startTimeStart;
    }

    /**
     * 获取 结束 开始时间
     * @return startTimeEnd
     */
    public String getStartTimeEnd(){
        return this.startTimeEnd;
    }

    /**
     * 设置 结束 开始时间
     * @param startTimeEnd
     */
    public void setStartTimeEnd(String startTimeEnd){
        this.startTimeEnd = startTimeEnd;
    }

    /**
     * 获取 开始 结束时间
     * @return endTimeStart
     */
    public String getEndTimeStart(){
        return this.endTimeStart;
    }

    /**
     * 设置 开始 结束时间
     * @param endTimeStart
     */
    public void setEndTimeStart(String endTimeStart){
        this.endTimeStart = endTimeStart;
    }

    /**
     * 获取 结束 结束时间
     * @return endTimeEnd
     */
    public String getEndTimeEnd(){
        return this.endTimeEnd;
    }

    /**
     * 设置 结束 结束时间
     * @param endTimeEnd
     */
    public void setEndTimeEnd(String endTimeEnd){
        this.endTimeEnd = endTimeEnd;
    }

    /**
     * 获取 开始 时长,单位秒
     * @return durationStart
     */
    public Integer getDurationStart(){
        return this.durationStart;
    }

    /**
     * 设置 开始 时长,单位秒
     * @param durationStart
     */
    public void setDurationStart(Integer durationStart){
        this.durationStart = durationStart;
    }

    /**
     * 获取 结束 时长,单位秒
     * @return $durationEnd
     */
    public Integer getDurationEnd(){
        return this.durationEnd;
    }

    /**
     * 设置 结束 时长,单位秒
     * @param durationEnd
     */
    public void setDurationEnd(Integer durationEnd){
        this.durationEnd = durationEnd;
    }

    /**
     * 获取 增加 时长,单位秒
     * @return durationIncrement
     */
    public Integer getDurationIncrement(){
        return this.durationIncrement;
    }

    /**
     * 设置 增加 时长,单位秒
     * @param durationIncrement
     */
    public void setDurationIncrement(Integer durationIncrement){
        this.durationIncrement = durationIncrement;
    }

    /**
     * 获取 时长,单位秒
     * @return durationList
     */
    public List<Integer> getDurationList(){
        return this.durationList;
    }

    /**
     * 设置 时长,单位秒
     * @param durationList
     */
    public void setDurationList(List<Integer> durationList){
        this.durationList = durationList;
    }

    /**
     * 获取 时长,单位秒
     * @return durationNotList
     */
    public List<Integer> getDurationNotList(){
        return this.durationNotList;
    }

    /**
     * 设置 时长,单位秒
     * @param durationNotList
     */
    public void setDurationNotList(List<Integer> durationNotList){
        this.durationNotList = durationNotList;
    }


    /**
     * 获取 请假事由
     * @return reasonList
     */
    public List<String> getReasonList(){
        return this.reasonList;
    }

    /**
     * 设置 请假事由
     * @param reasonList
     */
    public void setReasonList(List<String> reasonList){
        this.reasonList = reasonList;
    }

    /**
     * 获取 请假事由
     * @return reasonNotList
     */
    public List<String> getReasonNotList(){
        return this.reasonNotList;
    }

    /**
     * 设置 请假事由
     * @param reasonNotList
     */
    public void setReasonNotList(List<String> reasonNotList){
        this.reasonNotList = reasonNotList;
    }

    /**
     * 获取 开始 审批负责人Id
     * @return approverIdStart
     */
    public Long getApproverIdStart(){
        return this.approverIdStart;
    }

    /**
     * 设置 开始 审批负责人Id
     * @param approverIdStart
     */
    public void setApproverIdStart(Long approverIdStart){
        this.approverIdStart = approverIdStart;
    }

    /**
     * 获取 结束 审批负责人Id
     * @return $approverIdEnd
     */
    public Long getApproverIdEnd(){
        return this.approverIdEnd;
    }

    /**
     * 设置 结束 审批负责人Id
     * @param approverIdEnd
     */
    public void setApproverIdEnd(Long approverIdEnd){
        this.approverIdEnd = approverIdEnd;
    }

    /**
     * 获取 增加 审批负责人Id
     * @return approverIdIncrement
     */
    public Long getApproverIdIncrement(){
        return this.approverIdIncrement;
    }

    /**
     * 设置 增加 审批负责人Id
     * @param approverIdIncrement
     */
    public void setApproverIdIncrement(Long approverIdIncrement){
        this.approverIdIncrement = approverIdIncrement;
    }

    /**
     * 获取 审批负责人Id
     * @return approverIdList
     */
    public List<Long> getApproverIdList(){
        return this.approverIdList;
    }

    /**
     * 设置 审批负责人Id
     * @param approverIdList
     */
    public void setApproverIdList(List<Long> approverIdList){
        this.approverIdList = approverIdList;
    }

    /**
     * 获取 审批负责人Id
     * @return approverIdNotList
     */
    public List<Long> getApproverIdNotList(){
        return this.approverIdNotList;
    }

    /**
     * 设置 审批负责人Id
     * @param approverIdNotList
     */
    public void setApproverIdNotList(List<Long> approverIdNotList){
        this.approverIdNotList = approverIdNotList;
    }


    /**
     * 获取 审批负责人
     * @return approverList
     */
    public List<String> getApproverList(){
        return this.approverList;
    }

    /**
     * 设置 审批负责人
     * @param approverList
     */
    public void setApproverList(List<String> approverList){
        this.approverList = approverList;
    }

    /**
     * 获取 审批负责人
     * @return approverNotList
     */
    public List<String> getApproverNotList(){
        return this.approverNotList;
    }

    /**
     * 设置 审批负责人
     * @param approverNotList
     */
    public void setApproverNotList(List<String> approverNotList){
        this.approverNotList = approverNotList;
    }

    /**
     * 获取 附件
     * @return attachmentList
     */
    public List<String> getAttachmentList(){
        return this.attachmentList;
    }

    /**
     * 设置 附件
     * @param attachmentList
     */
    public void setAttachmentList(List<String> attachmentList){
        this.attachmentList = attachmentList;
    }

    /**
     * 获取 附件
     * @return attachmentNotList
     */
    public List<String> getAttachmentNotList(){
        return this.attachmentNotList;
    }

    /**
     * 设置 附件
     * @param attachmentNotList
     */
    public void setAttachmentNotList(List<String> attachmentNotList){
        this.attachmentNotList = attachmentNotList;
    }

    /**
     * 获取 附件路径
     * @return attachmentPathList
     */
    public List<String> getAttachmentPathList(){
        return this.attachmentPathList;
    }

    /**
     * 设置 附件路径
     * @param attachmentPathList
     */
    public void setAttachmentPathList(List<String> attachmentPathList){
        this.attachmentPathList = attachmentPathList;
    }

    /**
     * 获取 附件路径
     * @return attachmentPathNotList
     */
    public List<String> getAttachmentPathNotList(){
        return this.attachmentPathNotList;
    }

    /**
     * 设置 附件路径
     * @param attachmentPathNotList
     */
    public void setAttachmentPathNotList(List<String> attachmentPathNotList){
        this.attachmentPathNotList = attachmentPathNotList;
    }

    /**
     * 获取 备注
     * @return remarkList
     */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
     * 设置 备注
     * @param remarkList
     */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
     * 获取 备注
     * @return remarkNotList
     */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
     * 设置 备注
     * @param remarkNotList
     */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
     * 获取 开始 创建用户
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建用户
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建用户
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建用户
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 创建用户
     * @return createUserIdNotList
     */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 更新用户
     * @return updateUserIdStart
     */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
     * 获取 结束 更新用户
     * @return $updateUserIdEnd
     */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
     * 获取 增加 更新用户
     * @return updateUserIdIncrement
     */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdList
     */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdNotList
     */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
     * 获取 开始 更新时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 更新时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 更新时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 更新时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 设置  序号，主键，自增长
     * @param id
     */
    public AttendanceLeaveRecordQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public AttendanceLeaveRecordQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public AttendanceLeaveRecordQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public AttendanceLeaveRecordQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public AttendanceLeaveRecordQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idNotList
     */
    public AttendanceLeaveRecordQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
    }

    /**
     * 设置  请假人id
     * @param leavePersonId
     */
    public AttendanceLeaveRecordQuery leavePersonId(Long leavePersonId){
        setLeavePersonId(leavePersonId);
        return this;
    }

    /**
     * 设置 开始 请假人id
     * @param leavePersonIdStart
     */
    public AttendanceLeaveRecordQuery leavePersonIdStart(Long leavePersonIdStart){
        this.leavePersonIdStart = leavePersonIdStart;
        return this;
    }

    /**
     * 设置 结束 请假人id
     * @param leavePersonIdEnd
     */
    public AttendanceLeaveRecordQuery leavePersonIdEnd(Long leavePersonIdEnd){
        this.leavePersonIdEnd = leavePersonIdEnd;
        return this;
    }

    /**
     * 设置 增加 请假人id
     * @param leavePersonIdIncrement
     */
    public AttendanceLeaveRecordQuery leavePersonIdIncrement(Long leavePersonIdIncrement){
        this.leavePersonIdIncrement = leavePersonIdIncrement;
        return this;
    }

    /**
     * 设置 请假人id
     * @param leavePersonIdList
     */
    public AttendanceLeaveRecordQuery leavePersonIdList(List<Long> leavePersonIdList){
        this.leavePersonIdList = leavePersonIdList;
        return this;
    }

    /**
     * 设置 请假人id
     * @param leavePersonIdNotList
     */
    public AttendanceLeaveRecordQuery leavePersonIdNotList(List<Long> leavePersonIdNotList){
        this.leavePersonIdNotList = leavePersonIdNotList;
        return this;
    }


    /**
     * 设置 请假人
     * @param leavePerson
     */
    public AttendanceLeaveRecordQuery leavePerson(String leavePerson){
        setLeavePerson(leavePerson);
        return this;
    }

    /**
     * 设置 请假人
     * @param leavePersonList
     */
    public AttendanceLeaveRecordQuery leavePersonList(List<String> leavePersonList){
        this.leavePersonList = leavePersonList;
        return this;
    }

    /**
     * 设置  所属部门id
     * @param deptId
     */
    public AttendanceLeaveRecordQuery deptId(Long deptId){
        setDeptId(deptId);
        return this;
    }

    /**
     * 设置 开始 所属部门id
     * @param deptIdStart
     */
    public AttendanceLeaveRecordQuery deptIdStart(Long deptIdStart){
        this.deptIdStart = deptIdStart;
        return this;
    }

    /**
     * 设置 结束 所属部门id
     * @param deptIdEnd
     */
    public AttendanceLeaveRecordQuery deptIdEnd(Long deptIdEnd){
        this.deptIdEnd = deptIdEnd;
        return this;
    }

    /**
     * 设置 增加 所属部门id
     * @param deptIdIncrement
     */
    public AttendanceLeaveRecordQuery deptIdIncrement(Long deptIdIncrement){
        this.deptIdIncrement = deptIdIncrement;
        return this;
    }

    /**
     * 设置 所属部门id
     * @param deptIdList
     */
    public AttendanceLeaveRecordQuery deptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
        return this;
    }

    /**
     * 设置 所属部门id
     * @param deptIdNotList
     */
    public AttendanceLeaveRecordQuery deptIdNotList(List<Long> deptIdNotList){
        this.deptIdNotList = deptIdNotList;
        return this;
    }


    /**
     * 设置 所属部门
     * @param deptName
     */
    public AttendanceLeaveRecordQuery deptName(String deptName){
        setDeptName(deptName);
        return this;
    }

    /**
     * 设置 所属部门
     * @param deptNameList
     */
    public AttendanceLeaveRecordQuery deptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
        return this;
    }


    /**
     * 设置 电话号码
     * @param phoneNumber
     */
    public AttendanceLeaveRecordQuery phoneNumber(String phoneNumber){
        setPhoneNumber(phoneNumber);
        return this;
    }

    /**
     * 设置 电话号码
     * @param phoneNumberList
     */
    public AttendanceLeaveRecordQuery phoneNumberList(List<String> phoneNumberList){
        this.phoneNumberList = phoneNumberList;
        return this;
    }

    /**
     * 设置  请假类型(1.事假,2.调休,3.病假,4.年假,5.产假,6.陪产假,7.婚假,8.例假,9.哺乳假,10.丧假,11.回单位,12.因公请假,13.外出勘验,14.值班补班,15.体检,16.隔离,17.因公外出,18.公休,19.育儿假,20.调回单位,21.探亲假)
     * @param leaveType
     */
    public AttendanceLeaveRecordQuery leaveType(Integer leaveType){
        setLeaveType(leaveType);
        return this;
    }

    /**
     * 设置 开始 请假类型(1.事假,2.调休,3.病假,4.年假,5.产假,6.陪产假,7.婚假,8.例假,9.哺乳假,10.丧假,11.回单位,12.因公请假,13.外出勘验,14.值班补班,15.体检,16.隔离,17.因公外出,18.公休,19.育儿假,20.调回单位,21.探亲假)
     * @param leaveTypeStart
     */
    public AttendanceLeaveRecordQuery leaveTypeStart(Integer leaveTypeStart){
        this.leaveTypeStart = leaveTypeStart;
        return this;
    }

    /**
     * 设置 结束 请假类型(1.事假,2.调休,3.病假,4.年假,5.产假,6.陪产假,7.婚假,8.例假,9.哺乳假,10.丧假,11.回单位,12.因公请假,13.外出勘验,14.值班补班,15.体检,16.隔离,17.因公外出,18.公休,19.育儿假,20.调回单位,21.探亲假)
     * @param leaveTypeEnd
     */
    public AttendanceLeaveRecordQuery leaveTypeEnd(Integer leaveTypeEnd){
        this.leaveTypeEnd = leaveTypeEnd;
        return this;
    }

    /**
     * 设置 增加 请假类型(1.事假,2.调休,3.病假,4.年假,5.产假,6.陪产假,7.婚假,8.例假,9.哺乳假,10.丧假,11.回单位,12.因公请假,13.外出勘验,14.值班补班,15.体检,16.隔离,17.因公外出,18.公休,19.育儿假,20.调回单位,21.探亲假)
     * @param leaveTypeIncrement
     */
    public AttendanceLeaveRecordQuery leaveTypeIncrement(Integer leaveTypeIncrement){
        this.leaveTypeIncrement = leaveTypeIncrement;
        return this;
    }

    /**
     * 设置 请假类型(1.事假,2.调休,3.病假,4.年假,5.产假,6.陪产假,7.婚假,8.例假,9.哺乳假,10.丧假,11.回单位,12.因公请假,13.外出勘验,14.值班补班,15.体检,16.隔离,17.因公外出,18.公休,19.育儿假,20.调回单位,21.探亲假)
     * @param leaveTypeList
     */
    public AttendanceLeaveRecordQuery leaveTypeList(List<Integer> leaveTypeList){
        this.leaveTypeList = leaveTypeList;
        return this;
    }

    /**
     * 设置 请假类型(1.事假,2.调休,3.病假,4.年假,5.产假,6.陪产假,7.婚假,8.例假,9.哺乳假,10.丧假,11.回单位,12.因公请假,13.外出勘验,14.值班补班,15.体检,16.隔离,17.因公外出,18.公休,19.育儿假,20.调回单位,21.探亲假)
     * @param leaveTypeNotList
     */
    public AttendanceLeaveRecordQuery leaveTypeNotList(List<Integer> leaveTypeNotList){
        this.leaveTypeNotList = leaveTypeNotList;
        return this;
    }



    /**
     * 设置  时长,单位秒
     * @param duration
     */
    public AttendanceLeaveRecordQuery duration(Integer duration){
        setDuration(duration);
        return this;
    }

    /**
     * 设置 开始 时长,单位秒
     * @param durationStart
     */
    public AttendanceLeaveRecordQuery durationStart(Integer durationStart){
        this.durationStart = durationStart;
        return this;
    }

    /**
     * 设置 结束 时长,单位秒
     * @param durationEnd
     */
    public AttendanceLeaveRecordQuery durationEnd(Integer durationEnd){
        this.durationEnd = durationEnd;
        return this;
    }

    /**
     * 设置 增加 时长,单位秒
     * @param durationIncrement
     */
    public AttendanceLeaveRecordQuery durationIncrement(Integer durationIncrement){
        this.durationIncrement = durationIncrement;
        return this;
    }

    /**
     * 设置 时长,单位秒
     * @param durationList
     */
    public AttendanceLeaveRecordQuery durationList(List<Integer> durationList){
        this.durationList = durationList;
        return this;
    }

    /**
     * 设置 时长,单位秒
     * @param durationNotList
     */
    public AttendanceLeaveRecordQuery durationNotList(List<Integer> durationNotList){
        this.durationNotList = durationNotList;
        return this;
    }


    /**
     * 设置 请假事由
     * @param reason
     */
    public AttendanceLeaveRecordQuery reason(String reason){
        setReason(reason);
        return this;
    }

    /**
     * 设置 请假事由
     * @param reasonList
     */
    public AttendanceLeaveRecordQuery reasonList(List<String> reasonList){
        this.reasonList = reasonList;
        return this;
    }

    /**
     * 设置  审批负责人Id
     * @param approverId
     */
    public AttendanceLeaveRecordQuery approverId(Long approverId){
        setApproverId(approverId);
        return this;
    }

    /**
     * 设置 开始 审批负责人Id
     * @param approverIdStart
     */
    public AttendanceLeaveRecordQuery approverIdStart(Long approverIdStart){
        this.approverIdStart = approverIdStart;
        return this;
    }

    /**
     * 设置 结束 审批负责人Id
     * @param approverIdEnd
     */
    public AttendanceLeaveRecordQuery approverIdEnd(Long approverIdEnd){
        this.approverIdEnd = approverIdEnd;
        return this;
    }

    /**
     * 设置 增加 审批负责人Id
     * @param approverIdIncrement
     */
    public AttendanceLeaveRecordQuery approverIdIncrement(Long approverIdIncrement){
        this.approverIdIncrement = approverIdIncrement;
        return this;
    }

    /**
     * 设置 审批负责人Id
     * @param approverIdList
     */
    public AttendanceLeaveRecordQuery approverIdList(List<Long> approverIdList){
        this.approverIdList = approverIdList;
        return this;
    }

    /**
     * 设置 审批负责人Id
     * @param approverIdNotList
     */
    public AttendanceLeaveRecordQuery approverIdNotList(List<Long> approverIdNotList){
        this.approverIdNotList = approverIdNotList;
        return this;
    }


    /**
     * 设置 审批负责人
     * @param approver
     */
    public AttendanceLeaveRecordQuery approver(String approver){
        setApprover(approver);
        return this;
    }

    /**
     * 设置 审批负责人
     * @param approverList
     */
    public AttendanceLeaveRecordQuery approverList(List<String> approverList){
        this.approverList = approverList;
        return this;
    }


    /**
     * 设置 附件
     * @param attachment
     */
    public AttendanceLeaveRecordQuery attachment(String attachment){
        setAttachment(attachment);
        return this;
    }

    /**
     * 设置 附件
     * @param attachmentList
     */
    public AttendanceLeaveRecordQuery attachmentList(List<String> attachmentList){
        this.attachmentList = attachmentList;
        return this;
    }


    /**
     * 设置 附件路径
     * @param attachmentPath
     */
    public AttendanceLeaveRecordQuery attachmentPath(String attachmentPath){
        setAttachmentPath(attachmentPath);
        return this;
    }

    /**
     * 设置 附件路径
     * @param attachmentPathList
     */
    public AttendanceLeaveRecordQuery attachmentPathList(List<String> attachmentPathList){
        this.attachmentPathList = attachmentPathList;
        return this;
    }


    /**
     * 设置 备注
     * @param remark
     */
    public AttendanceLeaveRecordQuery remark(String remark){
        setRemark(remark);
        return this;
    }

    /**
     * 设置 备注
     * @param remarkList
     */
    public AttendanceLeaveRecordQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
        return this;
    }

    /**
     * 设置  创建用户
     * @param createUserId
     */
    public AttendanceLeaveRecordQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public AttendanceLeaveRecordQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public AttendanceLeaveRecordQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public AttendanceLeaveRecordQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public AttendanceLeaveRecordQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public AttendanceLeaveRecordQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
    }


    /**
     * 设置  更新用户
     * @param updateUserId
     */
    public AttendanceLeaveRecordQuery updateUserId(Long updateUserId){
        setUpdateUserId(updateUserId);
        return this;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public AttendanceLeaveRecordQuery updateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
        return this;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public AttendanceLeaveRecordQuery updateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public AttendanceLeaveRecordQuery updateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public AttendanceLeaveRecordQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public AttendanceLeaveRecordQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
    }


    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<AttendanceLeaveRecordQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<AttendanceLeaveRecordQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<AttendanceLeaveRecordQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<AttendanceLeaveRecordQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}